function [A]=example1(n,epsilon)
%
% A = example1(n,epsilon)
% 
% This file creates a matrix A whose entries are defined by :     
%    A(i,j)=  1    if  i <= j
%             a_j  else
% where a_j = 1+j*epsilon
%
% Input : 
%           n       : size of the matrix A
%           epsilon : real 
% Output : 
%           A       : square matrix of size n as described above 
%
% 20 February 15
%
A=zeros(n,n);
A(1,:)=ones(n,1);
for i=2:n
    A(i,1:i-1)=1+(1:i-1).*epsilon;
    A(i,i:n)=ones(n-i+1,1);
end
