function [A]=hankel(n)
%
% A = hankel(n)
% 
% This file creates a matrix A whose entries are defined by :
%    A(i,j) =  0.5 / (n-i-j+1.5) 
%
% Input : 
%           n       : size of the matrix A
% Output : 
%           A       : square matrix of size n as described above 
%
% 20 February 15
%
j=1:n;
A=zeros(n,n);
for i=1:n
    A(:,i)=0.5./(n-i-j+1.5);
end
